Skip to main content
GET
/
onboarding
/
agreements
/
{agreementType}
Retrieves all the agreements questionnaires for the specified agreement type
curl --request GET \
  --url https://api.anchorage-staging.com/v2/onboarding/agreements/{agreementType} \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "legalEntityName": "<string>",
      "signerEmail": "<string>",
      "signerFirstName": "<string>",
      "signerLastName": "<string>",
      "url": "<string>"
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

agreementType
enum<string>
required

The unique identifier for the agreement type

Available options:
terms

Query Parameters

status
enum<string>

Filter by status

Available options:
UNSPECIFIED,
IN_PROGRESS,
COMPLETE,
DECLINED,
VOIDED
afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

limit
integer<int64>
default:25

Maximum number of results to return per query

Required range: 1 <= x <= 100

Response

Success on fetching KYC agreements

data
GetKYCAgreementResponseData · object[]
page
Page · object

Pagination info